Bug 743342 - IDE CD-ROM tray state gets lost on migration
Summary: IDE CD-ROM tray state gets lost on migration
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Markus Armbruster
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks: 742458 748554
TreeView+ depends on / blocked
 
Reported: 2011-10-04 16:10 UTC by Markus Armbruster
Modified: 2013-01-10 00:25 UTC (History)
7 users (show)

Fixed In Version: qemu-kvm-0.12.1.2-2.206.el6
Doc Type: Bug Fix
Doc Text:
Cause: CD-ROM tray state wasn't migrated Consequence: migration closed and unlocked tray Fix: migrate tray state Result: migration leaves tray alone
Clone Of:
Environment:
Last Closed: 2011-12-06 16:05:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:1531 normal SHIPPED_LIVE Moderate: qemu-kvm security, bug fix, and enhancement update 2011-12-06 01:23:30 UTC

Description Markus Armbruster 2011-10-04 16:10:21 UTC
Description of problem:
After migration, the virtual tray is closed and unlocked, even when it wasn't before.

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.195.el6

How reproducible:
100%

Steps to Reproduce:
1. Start a guest with CD drive, empty is fine
2. In guest, run "eject /i on /dev/sr0"
3. In monitor, run "info block" to confirm the tray is locked
4. savevm
5. loadvm (I do that in a new instance of qemu-kvm)
6. info block

Actual results:
Step 3 shows locked=1, but step 6 shows locked=0

Expected results:
Step 6 still shows locked=1

Additional info:
Tray open/closed behaves the same, but isn't as easy to observe as locked.

Comment 6 Sibiao Luo 2011-10-21 11:19:17 UTC
Reproduced this issue on qemu-kvm-0.12.1.2-2.172.el6.x86_64, the tray is unlocked after migration. And Verified it on the fixed version qemu-kvm-0.12.1.2-2.200.el6.x86_64, the tray is locked after migration.

Steps:
1. Start a guest with CD drive
2. In guest, run "eject -i on /dev/sr0"
3. In monitor of the src, run "info block" to confirm the tray is locked
4. Do live migration
  (dst) <CLI> -incoming tcp:0:<port>
  (src) <CLI>
5. In monitor of the dst, run "info block" to confirm the tray whether is locked

Actual results:
Reproduced: After the step 3 shows "locked=1", and after the step 5 shows "locked=0".
Verified: After the step 3 shows "locked=1", and after the step 5 shows "locked=1".

Above all, this issue has been fixed.

Comment 7 juzhang 2011-10-28 05:33:15 UTC
We also did virtual block and usb device functional testing,did not find block
or regression bugs.
https://tcms.engineering.redhat.com/run/29499/
https://tcms.engineering.redhat.com/run/29338/

Comment 10 Eduardo Habkost 2011-10-28 17:58:39 UTC
Moving to ON_QA because Errata Tool did not do it

Comment 12 Markus Armbruster 2011-11-18 09:24:33 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: CD-ROM tray state wasn't migrated
Consequence: migration closed and unlocked tray
Fix: migrate tray state
Result: migration leaves tray alone

Comment 13 errata-xmlrpc 2011-12-06 16:05:04 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2011-1531.html


Note You need to log in before you can comment on or make changes to this bug.